setup.makeSVG = function(tag:string, attrs:any, innerHtml=undefined) { // https://stackoverflow.com/a/3642265/7200161
            var el= document.createElementNS('http://www.w3.org/2000/svg', tag);
            for (var k in attrs)
                el.setAttribute(k, attrs[k]);
            if(innerHtml)
                el.innerHTML = innerHtml.toString();
            return el;
        }